al_set_keyboard_leds(3)

NAME

al_set_keyboard_leds - Allegro 5 API

SYNOPSIS

    #include <allegro5/allegro.h>
    bool al_set_keyboard_leds(int leds)

DESCRIPTION

Overrides the state of the keyboard LED indicators. Set leds to a combination of the keyboard modifier flags to enable the corresponding LED indicators (ALLEGRO_KEYMOD_NUMLOCK, ALLEGRO_KEYMOD_CAPSLOCK and ALLEGRO_KEYMOD_SCROLLLOCK are supported) or to -1 to return to default behavior. False is returned if the current keyboard driver cannot set LED indicators.